'use strict';

import angular from "angular";

export default angular.module('fastx.Directives',[])

.directive('spinner',[function(){
	function link(scope,element,attr){
		var o ={};
		if(attr['spinner'].length){
			o  = angular.fromJson(attr['spinner']);
		}
		var spin = new Spinner(o).spin();
		element.append(spin.el);
	}
	return{
		link:link
	}
}])
.directive('autofocus', ['$timeout', function($timeout) {
  return {
    restrict: 'A',
    link : function($scope, $element) {
      $timeout(function() {
        $element[0].focus();
      });
    }
  }
}])
.directive('jqAutocomplete',[function(){
	return {
		link: function(scope,element,attr){
			$(element).autocomplete({
				source:attr['source']
			});
		}
	}
}]);
