'use strict';
import angular from "angular";
import "../../lib/angular-foundation.min";

import "../../common/Api";
import "../../common/Token";

export default angular.module('System.AuthMethods',['fastx.Api','Token','mm.foundation'])
.factory('System.AuthMethods',['Api','Token',function(Api,Token){
	var s = {};
	s.get = function(success,error){
		Api.get('system/auth-methods',{},success,error);
	}
	s.set = function(o,success,error){
		Api.post('system/auth-methods',{},o,success,error);
	}
	return s;
}])
.controller('SystemAuthMethodsCtrl',['$rootScope','$scope','System.AuthMethods','$modal', function($rootScope,$scope,AuthMethods,$modal){
	$scope.sudoDialog = function(bool){
		if(bool){
			var mi = $modal.open({
				templateUrl:'js/system/system-config/sudo-dialog.html',
				size:'large'
			});
			mi.result.then(function(){},function(){});
		}
	}
	var authMethods = {
			ssh:{
				basic:false,
				publicKey:true,
				hidePasswordField:false
			},
			okta:{
				entryPoint:'',
				issuer:'',
				cert:''
			},
			ldap:{
				connect:{
					url:'',
					tlsOptions:'',
				},
				bind:{
					dn:'',
					password:''
				},
				search:{
					base:''
				}
			}
		};
	AuthMethods.get(function(d){
		$scope.authMethods = angular.extend(authMethods,d);
	},function(e){
		$scope.authMethods = authMethods;
	});

	$scope.submit = function(c){
		AuthMethods.set(c,function(d){
			$scope.authMethods = d;
			$scope.alert = {type:'success',msg:'Changes saved successfully',close:function(){delete $scope.alert;}};
		},function(e){
			$scope.alert ={type:'alert',msg: e.error.message,close:function(){delete $scope.alert;}};
		});
	}
	$scope.close = function(){
		delete $scope.alert;
	}
}]);
