'use strict';

import angular from "angular";

import "../../common/Api";
import "../../common/Token";

export default angular.module('System.Email',['fastx.Api','Token'])
.factory('Email',['Api','Token',function(Api,Token){
	var t = {};
	t.getEmail= function(success,error){
		Api.get('system/email',{},success,error);
	}
	t.setEmail = function(o,success,error){
		Api.post('system/email',{},o,success,error);
	}
	return t;
}])
.controller('EmailCtrl',['$scope','WellKnownServices','Email',function($scope,wns,Email){
	$scope.services = wns.service;
	Email.getEmail(function(d){
		$scope.config = d;
	},function(e){

	});

	$scope.submit = function(o){
		Email.setEmail(o,function(d){
			$scope.config = d;
			$scope.submitClass ='info';
			$scope.text = 'Changes saved successfully.';
		},function(e){
			$scope.submitClass ='alert';
			$scope.text = e.error.message;
		})
	}
}])
.factory('WellKnownServices',[function(){
	return {service:['1und1',
			'AOL',
			'DebugMail.io',
			'DynectEmail',
			'FastMail',
			'GandiMail',
			'Gmail',
			'Godaddy',
			'GodaddyAsia',
			'GodaddyEurope',
			'hot.ee',
			'Hotmail',
			'iCloud',
			'mail.ee',
			'Mail.ru',
			'Mailgun',
			'Mailjet',
			'Mandrill',
			'Naver',
			'OpenMailBox',
			'Postmark',
			'QQ',
			'QQex',
			'SendCloud',
			'SendGrid',
			'SES',
			'SES-US-EAST-1',
			'SES-US-WEST-2',
			'SES-EU-WEST-1',
			'Sparkpost',
			'Yahoo',
			'Yandex',
			'Zoho',
			'Other'
			]};
}]);
