'use strict';
import angular from "angular";

import "../../common/Api";
import "../../common/Token";

export default angular.module('System.Motd',['fastx.Api','Token'])
.factory('System.Motd',['Api','Token',function(Api,Token){
	var s = {};
	s.getMotd = function(success,error){
		Api.get('system/motd',{},success,error);
	}
	s.setMotd = function(o,success,error){
		Api.post('system/motd',{},o,success,error);
	}
	return s;
}])
.controller('SystemMotdCtrl',['$rootScope','$scope','System.Motd', function($rootScope,$scope,Motd){
	Motd.getMotd(function(d){
		$scope.motd = angular.extend({
			motd:"",
		},d);
	},function(e){
		$scope.motd = {
			motd:"",
		};
	});

	$scope.submit = function(c){
		Motd.setMotd(c,function(){
			$scope.alert ={type:'success',msg:'Changes Saved Successfully',close:function(){delete $scope.alert;}};
		},function(e){
			$scope.alert ={type:'alert',msg: e.error.message,close:function(){delete $scope.alert;}};
		});
	}
}]);
