'use strict';
import angular from "angular";

import "../../common/Api";
import "../../common/Token";

export default angular.module('System.Upload',[
	'fastx.Api',
	'Token'
])
.factory('Upload',['Api','Token',function(Api,Token){
	var t = {};
	t.get = function(success,error){
		Api.get('system/uploads',{},success,error);
	}
	t.set = function(o,success,error){
		Api.post('system/uploads',{},o,success,error);
	}
	t.remove = function(str,success,error){
		Api.remove('system/uploads/:filename',{filename:str},success,error);
	}
	return t;
}])
.controller('UploadCtrl',['$scope','Upload',function($scope,Upload){
	Upload.get(function(files){
		$scope.files = files;
	},function(e){

	})
	$scope.remove = function(str){
		Upload.remove(str,function(d){
			$scope.files = d;
		},function(e){
			console.log(e);
		});
	}
	$scope.submit = function(c){
		console.log(c);
	}
}]);
