"use strict";

import * as Xrdp from '../lib/xrdp/xrdp';

export default Init;

Init.$inject = ['$compile','$window','Parse','ClosedDialog','$rootScope','Token','FastXObject'];

function Init ($compile,$window,Parse,ClosedDialog,$rootScope,Token,FastXObject) {
	function link($scope,$element,$attrs){
		var fastx = {};
		$rootScope.init = new Promise (function (resolve, reject) {
			FastXObject.then (function (d) {
				Parse.xrdp().then(function(o){
					console.log (o,d);
					$rootScope.fastx = angular.extend(d,o);
					$rootScope.token = Token.token;
					$element.html(
						new Xrdp($rootScope.fastx)
					);
					resolve ();
				})
				.catch (reject);
			})
			.catch (reject);
		});
		$rootScope.init.catch (ClosedDialog);
	}
	return {
		link:link
	}
}
