'use strict';
    //var WebGL           = require('xrdp/webgl');
    var Channels        = require('xrdp/channels/channels');
    var Screen          = require('./screen');
    var Offscreen       = require('xrdp/cache/offscreen-bitmap');

function Scene(Client,socket,ready){
	this.Channels = new Channels(
		Offscreen.primary().canvas,
		socket,
		Client.settings.userChannelId,
		Client.store.staticVirtualChannelIds,
		Client.settings.channels
	);
	this.cb = this.Channels.cb;
	var that = this;
	Object.defineProperties(that,{
		'canvas':{
			get:function(){
				return Screen.canvas;
			}
		},
		'cb':{
			get:function(){
				return that.Channels.cb;
			}
		}
	});
	ready(Screen.canvas,this.cb);
	document.addEventListener('rdpNetworkCharacteristics',function(e){
		console.log(e.detail);
	});
}
Scene.prototype.processChannel = function(channel,userData){
	this.Channels.process(channel,userData);
}

module.exports = Scene;
