'use strict';
var primary = require('./primary');
var secondary = require('./secondary');
var altSecondary = require('./alternate-secondary');

    /*
     * https://msdn.microsoft.com/en-us/library/cc241586.aspx
     */
var CanvasOrder = function () {}

CanvasOrder.prototype.process = function (order) {
    switch (order.orderClass) {
    case 0x01:
        primary(order);
        break;
    case 0x02:
        altSecondary(order);
        break;
    case 0x03:
        secondary(order);
        break;
    default:
        console.log('orderClass not found', order);
    }
}


module.exports = new CanvasOrder();
