'use strict';
	var AND = function(d1,d2){
		var d3 = new Uint8ClampedArray(d1.data.length);
		for(var i = 0; i < d1.data.length; i += 4) {
			d3.data[i] = d1.data[i] & d2.data[i];
			d3.data[i + 1] = d1.data[i + 1] & d2.data[i + 1];
			d3.data[i + 2] = d1.data[i + 2] & d2.data[i + 2];
			d3.data[i + 3] = 255;
		}
	}
	var OR = function(d1,d2){
		var d3 = new Uint8ClampedArray(d1.data.length);
		for(var i = 0; i < d1.data.length; i += 4) {
			d3.data[i] = d1.data[i] | d2.data[i];
			d3.data[i + 1] = d1.data[i + 1] | d2.data[i + 1];
			d3.data[i + 2] = d1.data[i + 2] | d2.data[i + 2];
			d3.data[i + 3] = 255;
		}
	}
	var NOT = function(d1){
		var d3 = new Uint8ClampedArray(d1.data.length);
		for(var i = 0; i < d1.data.length; i += 4) {
			d3.data[i] = 255 - d1.data[i];
			d3.data[i + 1] = 255 - d1.data[i + 1];
			d3.data[i + 2] = 255 - d1.data[i + 2];
			d3.data[i + 3] = 255
		}
		return d1;
	}
	
	function rop(ctx,dst,src,pen,op,rect){
		switch(op){
			case 0x00:
				return '0x000000';
			case 0x55://invert
				var c = document.createElement('canvas');
				c.getContext('2d').putImageData(NOT(dst),0,0);
				return ctx.createPattern(c,'repeat');
			case 0xFF:
				return '0xFFFFFF';
		}
	}
module.exports = rop;
