var path = require('path');

var Cache = require('./config-cache');

function Admin(){
	 
}
var admin = new Cache('admin.json',{
	defaults:{
		users:[],
		groups:[]
	} 
});

admin.add = function(o){
	var a = this.data;
	if(a.users){
		if(a.users.indexOf(o.login) < 0){
			a.users.push(o.login);
			this.data = a;
		}else{
			throw new Error('Admin not found');
		}
	}else{
		throw new Error('Cannot delete the last admin');
	}
}

admin.remove = function(o){
	var a = this.data;
	if(a.users){
		if(a.users.length > 1){
			var r = a.users.indexOf(o.login);
			if(r >=0){
				a.users.splice(r,1);
			}
			this.data = a;
		}else{
			throw new Error('Cannot delete the last admin');
		}
	}else{
		throw new Error('admin.json format invalid');
	}
}

admin.isAdmin = function(login){
	var a = this.data;
	if(a.users && a.users.indexOf(login) >= 0 ){return true;}
	return false;
}
admin.isAdminGroups = function(groups){
	var a = this.data;
	for(var i=0;i<groups.length;i++){
		if(groups[i].length && a.groups.indexOf(groups[i]) >= 0 ){return true;}
	}
}
module.exports = admin;
