var uuid = require('node-uuid');
var EventEmitter = require('events').EventEmitter;
var fs = require('fs');
var path = require('path');
var cmp = require('semver-compare');

var ee = new EventEmitter();
module.exports = {
	name:"localhost",
	serverKey:uuid.v4(),
	serverId:uuid.v4(),
	version:fs.readFileSync(path.resolve(global.FXROOTDIR,'version'),{encoding:'utf8'}),
	ee:ee
}
var v = '6.0.0';

console.log('Server Started at ',(new Date(Date.now())).toString());
console.log('Node Version:', process.versions.node);

if(cmp(process.versions.node,v) < 0){
	console.log('node', v, ' or greater is required.  exiting...');
	process.exit(1);
}

console.log('FastX Version:',module.exports.version);
console.log('My Server Id:',module.exports.serverId);