const path = require('path');
const mkdirp = require('mkdirp');
const fs = require('fs');
const exec = require('child_process').execFileSync;

const LBPATH = path.resolve(global.FXROOTDIR,'var','metrics');

mkdirp.sync(LBPATH ,{mode:'0755'});

function refresh(){
	var o={},files,d,i;
	try{
		var files = fs.readdirSync(LBPATH);
	}catch(e){
		console.log('Error reading metrics diretory',e.code);
		return o;
	}
	var f;
	while(files.length){
		f = files.shift();
		try{
			d = exec(path.resolve(LBPATH,f),{
				encoding:'utf8'
			});
			try{
				var j = JSON.parse(d.trim());
				for(i in j){
					o[i] = j[i];
				}
			}catch(e){
				console.log('Error parsing JSON in metrics file',f,e);
			}
		}catch(e){
			console.log('Error executing metrics file',f,e);
			continue;
		}
		
	}
	return o;
}
module.exports = refresh;


