var UserPool = require('./pool').Pool;

UserPool.prototype.updateUsers = function(o,expires){
	var d,ids=[],changed;
	
	for(var i =0; i<o.data.length;i++){
		d = {
			id:o.data[i].token,
			serverPool:o.serverPool,
			serverId:o.serverId,
			data:o.data[i]
		};
		changed = changed || this.update(d);
		
		if(d.id && expires){
			ids.push(d.id);
			this.expires(d.id,expires);
		}
	}
	for(var i in this.pool){//merge 
		if(this.pool[i].serverId === o.serverId && ids.indexOf(i) < 0){
			delete this.pool[i];
			changed = true;
		}
	}
	return changed;
}

module.exports.UserPool = UserPool;