var uuid = require('node-uuid');

var ERROR 		= _require('common/lib/error-responses');
var Settings 	= _require('common/lib/config/settings');


function Verify(req,res,next){
	this.req = req;
	this.res = res;
	this.next = next;
}
Verify.prototype.fail = function(){
	return this.res.json(ERROR.usernameIncorrect);
}
Verify.prototype.success = function(){
	var token = uuid.v4();
	return this.res.json({
		result:{
			stage:"success",
			token:token,
			host:Settings.data.hostname
		}
	});
}

module.exports = Verify;