var passport = require('passport');
var SamlStrategy = require('passport-saml').Strategy;

var auth		= require('../../routes/auth');

var www 		= _require('common/lib/config/www');
var AuthMethods = _require('common/lib/config/auth-methods');


var fs = require('fs');
function readCert(certFile){
	try{
		var lines = fs.readFileSync(certFile,'utf8').split('\n');
		return lines.filter(function(c,i,a){
			return !c.match(/CERTIFICATE/);
		}).join('');
	}catch(e){
		console.log(e);
	}
	
}

function Auth(app){
	app.use('/auth',auth);
	AuthMethods.refresh();
	
}


module.exports = Auth
