const path 		= require('path');
const execFile 	= require('child_process').execFile;

var createParamString 	= _require('common/lib/create-param-string');
var Settings  			= _require('common/lib/config/settings');
var Monitor 			= _require('common/lib/monitor');

function virtualExecFile(o){
	if(o.nodeExec){
		Monitor.nodeExec({
			command:path.resolve(o.script),
			data:o.data
		},o.cb);
	}else if(Settings.data.enableSudoUser){
		Monitor.sudoExec(o.login,{
			command:path.resolve(o.script),
			data:o.data,
			msgId:o.msgId},
		o.cb);
	}else{
		Monitor.sendResponse(o.msgId,ERROR.sudoDisabled);
	}
}

module.exports = virtualExecFile;