var fs = require('fs');

var Settings = _require('common/lib/config/settings');

if(Settings.data.recordLoginAttempts){
	fs.appendFile(Settings.data.recordLoginAttempts,['[',(new Date()).toUTCString(),']','Server Restarted\n'].join(' '), function (err) {
		if(err){
			console.log('Error writing to file',Settings.data.recordLoginAttempts);
			console.log('Login Attempt recording disabled');
		}else{
			console.log('Login attempts recorded at',Settings.data.recordLoginAttempts);
		}
	});
}
	
function recordLoginAttempts(ip,data){
	if(Settings.data.recordLoginAttempts){
		var str = ['[',(new Date()).toUTCString(),']',data.username,ip +'\n'].join(' ');
		fs.appendFile(Settings.data.recordLoginAttempts, str, function (err) {});
	}
}
module.exports = recordLoginAttempts;