var UserAction 	= require('./action').Action;

var Monitor 	= _require('common/lib/monitor');

UserAction.prototype.login = function(m,cb){
	this.Connections.login(m);
}
UserAction.prototype.keyboardInteractive = function(m,cb){
	if(!this.Connections.keyboardInteractive(m)){
		Monitor.sendResponse(m.msgId,this.ERROR.authenticationRequired,m.serverId);
	}
}
UserAction.prototype.password = function(m,cb){
	if(!this.Connections.password(m)){
		Monitor.sendResponse(m.msgId,this.ERROR.authenticationRequired,m.serverId);
	}
}
UserAction.prototype.publicKey = function(m,cb){
	if(!this.Connections.publicKey(m)){
		Monitor.sendResponse(m.msgId,this.ERROR.authenticationRequired,m.serverId);
	}
}
UserAction.prototype.publicKeySigned = function(m,cb){
	if(!this.Connections.publicKeySigned(m)){
		Monitor.sendResponse(m.msgId,this.ERROR.authenticationRequired,m.serverId);
	}
}

UserAction.prototype.getUserTokens = function(){
	return this.Connections.getUserTokens();
}
module.exports.UserAction = UserAction;