var uuid 	= require('node-uuid');

var bridge 	= require('./ws/ws-bridge');
var WsUrl 	= require('./ws/ws-url').WsUrl;

function Bridge(o){
	o.bridgeId = o.bridgeId || uuid.v4();
	this.url = o.url;
	this.bridgeId = o.bridgeId.replace(/-/g,'');
	var wsUrl = new WsUrl(o.url);
	var ws = wsUrl.create('bridge',this.bridgeId);
	bridge.connect({
		url:o.url + ws.uri,
		port:o.port
	});
	
}
Bridge.prototype.connect = function(){
	var wsUrl = new WsUrl(this.url);
	return  wsUrl.create('connect',this.bridgeId);
}
Bridge.prototype.share = function(url){
	var wsUrl = new WsUrl(url || this.url);
	return wsUrl.create('connect',this.bridgeId);
}

module.exports.Bridge = Bridge;