function Sessions(s){
	this.sessions = s || {};
	this.requireSessionKey = false;
	var that = this;
}


Sessions.prototype.queueMessage = function(id,o){
	if(!this.sessions[id]){return;}
	if(!this.sessions[id].queue){
		this.sessions[id].queue = [];
	}
	this.sessions[id].queue.push(o);
}
Sessions.prototype.getMessages = function(id){
	if(!this.sessions[id]){return [];}
	if(!this.sessions[id].queue){return [];}
	var msg =  this.sessions[id].queue;
	this.sessions[id].queue = [];
	return msg;
}
Sessions.prototype.cleanup = function(id){
	delete this.sessions[id];
}
var s = new Sessions();
module.exports.Sessions = s;
