const exec = require('child_process').exec;
const fs = require('fs');

 function username(file,login,cb){
	if(!file){
		cb('link file not found');
		return;
	}
	var stats = fs.statSync(file);
	if(!stats){
		cb('could not stat link file');
		return;
	}
	if(login){
        var execString = ['getent','passwd',login.match(/^[0-9]/)?"| grep ^" + login:login].join(" ");
		exec(execString,function(err,stdout,stderr){
			if(err){
				cb(err);
				return;
			}else if(stderr){
				cb(stderr);
				return;
			}else if(!stdout.length){
				cb('username not found for link file');
				return;
			}else{
				var uid = stdout.split(':')[2];

				if(parseInt(uid,10) === parseInt(stats.uid,10)){
					cb(null, login);
					return;
				}else{
					cb('uids do not match');
					return;
				}
			}
		});
	}else{
		exec('getent passwd ' +  stats.uid,function(err,stdout,stderr){
			if(err){
				cb(err);
				return;
			}else if(stderr){
				cb(stderr);
				return;
			}else if(!stdout.length){
				cb('username not found for link file');
				return;
			}else{
				cb(null, stdout.split(':')[0]);
			}
		});
	}
}

module.exports = {
	username:username
}
