'use strict';
import angular from "angular";

import "../../../common/command-module";

import "../../../lib/angular-foundation.min";

export default angular.module('fastx.session-info-screenshot',['mm.foundation','fastx.command-module'])
.controller('ScreenshotCtrl',[function(){

}])
.controller('SessionScreenshotCtrl',['$scope','$modal',function($scope,$modal){
	$scope.zoomScreenshotDialog = function(id){
		var mi = $modal.open({
			templateUrl:'js/fastx/session/screenshot-dialog.html',
			controller:'ScreenshotDialogCtrl',
			windowClass:"screenshot-dialog",
			resolve:{
				id:function(){
					return id
				}
			}
		});
		mi.result.then(function(){},function(){});
	}
}])
.controller('ScreenshotDialogCtrl',['$scope','$modalInstance','CommandModule','id',function($scope,$modalInstance,CommandModule,id){
	$scope.close = function(){
		$modalInstance.close();
	}
	$scope.refreshImage = function(){
		CommandModule.screenshot({id:id,width:"800",height:"600",keep_aspect:"0"},function(d){
			$scope.img = d;
		},function(e){

		});//randomize time to refresh
	}
	$scope.refreshImage();
}])
