'use strict';

import angular from "angular";
import '../../common/keyboard-layouts';

export default angular.module('fastx.keyboardLayouts',['fastx.keyboardLayoutFactory'])

.controller('KeyboardLayoutsCtrl',['$scope','$window','KeyboardLayouts',
function($scope,$window,KeyboardLayouts){

	$scope.o ={};

		$scope.layouts = KeyboardLayouts.layouts;
		$scope.keyboardTypes = KeyboardLayouts.types;

		var id = parseInt($window.localStorage['layout'],10) ||  0x00000409;
		for(var i=0; i< $scope.layouts.length; i++){
			if($scope.layouts[i].id === id){
				$scope.o.layout = $scope.layouts[i];
				break;
			}
		}
		$scope.$watch('o.layout.id',function(newVal,oldVal){
			$window.localStorage['layout'] = newVal;
		});

		var type = parseInt($window.localStorage['keyboardType'],10) || 0x00000004;
		for(var i=0; i< $scope.keyboardTypes.length; i++){
			if($scope.keyboardTypes[i].id === type){
				$scope.o.keyboardType = $scope.keyboardTypes[i];
				break;
			}
		}
		$scope.$watch('o.keyboardType.id',function(newVal,oldVal){
			$window.localStorage['keyboardType'] = newVal;
		});

}]);
