'use strict'

import angular from "angular";

export default angular.module('fastx.touchOptions',[])

.controller('TouchOptionsCtrl',['$scope','$window',function($scope,$window){
	$scope.o = {};

	$scope.o.touchOptions = ['Autodetect','On','Off'];
	$scope.o.touch = $window.localStorage['touch'] || 'Autodetect';
	$scope.o.mouse = $window.localStorage['show-mouse'];

	$scope.$watch('o.touch',function(newVal,oldVal){
		if(newVal === 'Autodetect'){
			newVal = '';
		}
		$window.localStorage['touch'] = newVal;
	});

	$scope.$watch('o.mouse',function(newVal,oldVal){
		if(newVal !== 1){
			newVal = '';
		}
		$window.localStorage['show-mouse'] = newVal;
	});

}]);
