'use strict';

import angular from "angular";

import "../../../common/Api";
import "../../../common/Token";

export default angular.module('Admin',['fastx.Api','Token'])
.factory('Admin',['Api','Token',function(Api,Token){
	var a = {};
	a.admin = function(success,error){
		Api.get('api/admin',{},success,error)
	}
	a.session = function(query,success,error){
		Api.get('api/admin/session',angular.extend(query,{}),success,error);
	}
	a.server = function(query,success,error){
		Api.get('api/admin/server',angular.extend(query,{}),success,error);
	}
	return a;
}])
.controller('AdminCtrl',['$scope','$location','Admin',function($scope,$location,Admin){
	$scope.AdminCtrl = true;
	$scope.adminNav =  $location.search().view || 'sessions' ;
	$scope.$on('$routeUpdate', function(){
		$scope.adminNav = $location.search().view;
	});
	$scope.admin = true;

	$scope.ids = {};

}]);
