'use strict';
import angular from "angular";

import "../../common/Api";
import "../../common/Token";

export default angular.module('System.Ldap',['fastx.Api','Token'])
.factory('System.Ldap',['Api','Token',function(Api,Token){
	var s = {};
	s.get = function(success,error){
		Api.get('system/ldap',{},success,error);
	}
	s.set = function(o,success,error){
		Api.post('system/ldap',{},o,success,error);
	}
	return s;
}])
.controller('SystemLdapCtrl',['$rootScope','$scope','System.Ldap', function($rootScope,$scope,Ldap){
	var auth = {
			okta:{
				api_token:"",
				org:""
			}
		};
	Ldap.get(function(d){
		$scope.ldap = angular.extend(ldap,d);
	},function(e){
		$scope.ldap = ldap;
	});

	$scope.submit = function(c){
		Ldap.set(c,function(d){
			$scope.ldap = d;
			$scope.alert ={
				type:"success",
				text:'Changes saved successfully.'
			};
		},function(e){
			$scope.alert ={
				type:"alert",
				text:e.error.message
			};
		});
	}
	$scope.close = function(){
		$scope.alert = null;
	}
}]);
