'use strict';
import angular from "angular";

import "../../common/Api";
import "../../common/Token";

export default angular.module('fastx.SystemLog',['fastx.Api','Token'])
.factory('Log',['Api','Token',function(Api,Token){
	var t = {};
	t.get= function(success,error){
		Api.get('system/log',{},success,error);
	}
	return t;
}])
.controller('SystemLogCtrl',['$scope','Log',function($scope,Log){
	$scope.refresh = function(){
		Log.get(function(s){
			$scope.log = s;
		},function(e){
			console.log(e);
			$scope.alert = {type:'alert',msg:e.error.message,close:function(){delete $scope.alert;}};
		});
	}
	$scope.refresh();
}]);
