'use strict';
var C = {};
var canvas;

Object.defineProperty(C,'canvas',{
        get:function(){
                return canvas;
        },
        set:function(c){
                if(canvas){
                        throw new Error('Cannot redefine canvas');
                }
                canvas = document.createElement('canvas');
                canvas.width = c.width;
                canvas.height = c.height;
                return canvas;
        }
});
function newHeight(){return window.innerHeight;}
function newWidth(){return window.innerWidth;}
function geometry(){return (window.innerWidth).toString() + 'x' + (newHeight()).toString()}
document.addEventListener('snSwm',function(e){
    document.body.appendChild(canvas);
    var jsp;
    var container = $(canvas).parent();
    jsp = container.jScrollPane({
        enableKeyboardNavigation:false,
        hideFocus:true
    });
    $(window).resize(function(e){
        container.css('height',newHeight());
        container.data('jsp').reinitialise();
    });
    $(document).resize();
    document.addEventListener('snResize',function(e){
        container.css('height', e.detail.height);
        container.css('width',e.detail.width);
        container.data('jsp').reinitialise();
    });
});

module.exports = C;
