'use strict';
var Wm = require('xrdp/window_manager');
    
    var windows = {};
    
    function update(o,canvas){
            switch(o.type){
                    case 'window':
                            if(!windows[o.windowId]){
                                    windows[o.windowId] = new Wm(o,canvas);
                            }else{
                                    windows[o.windowId].update(o,canvas);
                            }
                            break;
                    case 'desktop':
                            //console.log(o);
                            break;
                    case 'notify':
                            //console.log(o);
                            break;
                    default:
                            console.log('Unknown Order',o);
            }
    }
    
    
module.exports = {
            update:update
    }