var Module = require("./tile-decode-loader");

var decoder,mem_arrays,mem_facs,mem_rgb;


var decompress = function (y_array, cb_array, cr_array, y_fac, cb_fac, cr_fac, rgb) {
    Module.HEAP16.set(y_array,mem_arrays / 2);
    Module.HEAP16.set(cb_array,mem_arrays / 2 + 4096);
    Module.HEAP16.set(cr_array,mem_arrays / 2 + 8192);
    Module.HEAP8.set(y_fac,mem_facs);
    Module.HEAP8.set(cb_fac,mem_facs + 10);
    Module.HEAP8.set(cr_fac,mem_facs + 20);
    decoder(
    	mem_arrays,
    	mem_arrays + 4096 * 2,
    	mem_arrays + 8192 * 2,
    	mem_facs,
    	mem_facs + 10,
    	mem_facs + 20,
    	mem_rgb,
    	mem_arrays + 12288 * 2);
    rgb.set(new Uint8Array(Module.HEAP8.subarray(mem_rgb,mem_rgb + 4096 * 4)));
};
var p = new Promise(function(resolve,reject){
    Module.onRuntimeInitialized = function(){
        decoder = Module.cwrap(
            "rfx_tile_decode",
            null,
            ["number","number","number","number","number","number","number","number"]);
        mem_arrays = Module._malloc(4096 * 8);
        mem_facs = Module._malloc(10 * 3);
        mem_rgb = Module._malloc(4096 * 4);
        resolve({decompress:decompress});
        console.log('wasm loaded module')
    }
});
module.exports = p;
