uniform sampler2D imdata;
//uniform sampler2D crTex;
//uniform sampler2D cbTex;
uniform sampler2D clip;
varying vec2 vUv;



int shift21(int i){
	return i/0x00200000;
}
float toTexel(int i){
	if(i<0){return 0.0;}
	return clamp(float(i)/255.0,0.0,1.0);
} 
float toR(int y,int cr,int cb ){
	int i = y + cr * 91947;
	return  toTexel(shift21(i));
}
float toG(int y,int cr, int cb ){
	int i = y + cb * -22544 + cr * -46792;
	return  toTexel(shift21(i));
}
float toB(int y,int cr, int cb ){
	int i = y + cb * 115998;
	return toTexel(shift21(i));
}

int unpack(vec4 f){
	int a = int(f.a*255.0)*16777216;
	int b = int(f.b*255.0)*65536;
	int g = int(f.g*255.0)*256;
	int r = int(f.r*255.0);
	return int(r+g+b+a);
}

void main(){
	gl_FragColor = texture2D(imdata,vUv);
	/*
	int y = unpack(texture2D(i,vUv));
	int cr = unpack(texture2D(crTex,vUv));
	int cb = unpack(texture2D(cbTex,vUv));
	y += 4096;
	y *= 65536;
	gl_FragColor = vec4(vec3(
		toR(y,cr,cb),
		toG(y,cr,cb),
		toB(y,cr,cb)
		),texture2D(clip,vUv).r);
	*/
}