const parseCaps = require("./parse-capability-settings");

function process (dv,o) {
    o.shareId = dv.getUint32(0,true);//shareID
    var sourceDescLen = dv.getUint16(4,true);//lengthSourcedescriptor
    var capsLen = dv.getUint16(6,true);//length Combined Caps
    //ds.readUint8Array(sourceDescLen);

    var dvcap = new DataView(dv.buffer,dv.byteOffset + 12 + sourceDescLen,capsLen - 4);
    var numCaps = dv.getUint16(8 + sourceDescLen,true);
    var caps = {},cap;
    while(numCaps--){
        cap = parseCaps.process(dvcap)
        caps[cap.type] = cap;
        dvcap = new DataView(dvcap.buffer,dvcap.byteOffset + dvcap.getUint16(2,true));
    }
    o.serverCapabilities = caps;
    return 1;
}

module.exports = {process:process};
