define([],function(){
	var cache = {};
	
	var createIconData = function(o){
		console.log(o);
		var imdata = new Uint8ClampedArray(4*o.width*o.height);
		var h=0,w=0;
		for (h=0;h<o.height;h++){
			for(w=0;w < 4*o.width;w=w+4){
				imdata[4*h*o.width + w] 	= o.bitsColor[(4*(o.height - h - 1)*o.width + w)];
				imdata[4*h*o.width + w + 1] = o.bitsColor[(4*(o.height - h - 1)*o.width + w + 1)];
				imdata[4*h*o.width + w + 2] = o.bitsColor[(4*(o.height - h - 1)*o.width + w + 2)];
				imdata[4*h*o.width + w + 3] = o.bitsColor[(4*(o.height - h - 1)*o.width + w + 3)];;
			}
		}
		return imdata;
	}
	var createIcon = function(o){
		var canvas = document.createElement('canvas');
		canvas.height = o.height;
		canvas.width = o.width;
		var ctx = canvas.getContext('2d');
		var imdata = ctx.createImageData(o.width,o.height);
		imdata.data.set(createIconData(o));
		ctx.putImageData(imdata,0,0);
		ctx.drawImage(canvas,0,0,o.width,o.height);
		return canvas;
	}
	
	function process(o){
		var icon = createIcon(o);
		icon.style.position = 'fixed';
		icon.style.top = '0px';
		icon.style.left = '1px';
		document.body.appendChild(icon);
		
	}
	return {
		process:process
	}
});