var os = require('os');

var Cache = require('./config-cache');

var settings = new Cache('settings.json',{
		defaults:{
			keepAliveInterval:10,//migrate settings from www  - REMOVE In a Later Version
			sshport:22,//migrate settings from www  - REMOVE In a Later Version,
			hostname:os.hostname()
		},
		mode:'0600'
	});

if (!settings.data.hostname) {
	let data = settings.data;
	data.hostname = os.hostname ();
	settings.data = data;
}
Object.defineProperty(settings,'baseUrl',{
	get:function(){
		var app = _require('./app');
		return [app.HTTPSserver?'https://':'http://',settings.data.hostname,':',
		app.HTTPSserver?app.HTTPSserver.address().port:app.server.address().port].join('');
	}
});
module.exports = settings;
